# H248_IndAudEventsDescriptor Class Reference

`#include <h248.h>`

Inheritance diagram for H248_IndAudEventsDescriptor:

List of all members.

## Public Types

enum | OptionalFields { e_requestID, e_streamID }

## Public Member Functions

| H248_IndAudEventsDescriptor (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_RequestID | m_requestID
H248_PkgdName | m_pkgdName
H248_StreamID | m_streamID

## Member Enumeration Documentation

enum H248_IndAudEventsDescriptor::OptionalFields

Enumerator:

  e_requestID |
  e_streamID |

## Constructor & Destructor Documentation

H248_IndAudEventsDescriptor::H248_IndAudEventsDescriptor | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_IndAudEventsDescriptor::GetDataLength | ( |  | ) | const

PBoolean H248_IndAudEventsDescriptor::Decode | ( | PASN_Stream & | strm | ) |

void H248_IndAudEventsDescriptor::Encode | ( | PASN_Stream & | strm | ) | const

void H248_IndAudEventsDescriptor::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_IndAudEventsDescriptor::Compare | ( | const PObject & | obj | ) | const

PObject* H248_IndAudEventsDescriptor::Clone | ( |  | ) | const

## Member Data Documentation

H248_RequestID H248_IndAudEventsDescriptor::m_requestID

H248_PkgdName H248_IndAudEventsDescriptor::m_pkgdName

H248_StreamID H248_IndAudEventsDescriptor::m_streamID

The documentation for this class was generated from the following file:

- h248.h